/***************************************************************************
 *   Copyright (C) 2003 by Antonio Fasolato                                *
 *   Antonio.Fasolato@poste.it                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "settings.h"
#include "configuration.h"

#include <klineedit.h>
#include <kfiledialog.h>

#include <qcheckbox.h>

Settings::Settings()
 : SettingsBase()
{
	potraceCommand->setText(Conf().potrace);
	preview->setChecked(Conf().preview);
	if(Conf().preview)
		previewCommand->setText(Conf().viewer);
}

void Settings::exitOK(){
	Conf().potrace=potraceCommand->text();
	Conf().preview=preview->isChecked();
	if(preview->isChecked())
		Conf().viewer=previewCommand->text();
	Conf().write();
	accept();
}

void Settings::defaultSettings(){
	Conf().defaultValues();
	potraceCommand->setText(Conf().potrace);
	preview->setChecked(Conf().preview);
	if(Conf().preview)
		previewCommand->setText(Conf().viewer);
}

void Settings::selectPotrace(){
	KFileDialog *d=new KFileDialog(QString::null,QString::null,this,"Select potrace executable",true);

	d->exec();

	if(d->result()==QDialog::Accepted) {
		potraceCommand->setText(d->selectedFile());
	}
}

void Settings::selectPreview(){
	KFileDialog *d=new KFileDialog(QString::null,QString::null,this,"Select viewer executable",true);

	d->exec();

	if(d->result()==QDialog::Accepted) {
		previewCommand->setText(d->selectedFile());
	}
}
